Bug 488567 - trailing '-' still matches
trailing '-' still matches
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 15:42 EST by Bill Nottingham
Modified: 2014-09-30 19:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-08 06:04:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-03-04 15:42:13 EST
Description of problem:

$ rpm -q 'bash-'
bash-4.0-2.fc11.x86_64

$ rpm -q glibc-devel-
glibc-devel-2.9.90-8.1.x86_64
glibc-devel-2.9.90-8.1.i586

etc.

This seems wrong, but for all I know it's been that way since the dawn of time.

Version-Release number of selected component (if applicable):

rpm-4.6.0-11.fc11.x86_64
Comment 1 Bug Zapper 2009-06-09 07:52:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:06:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ales Kozumplik 2011-11-07 11:55:19 EST
Also with the release:

[akozumpl@aklab ~/rpm (master)]$ rpm -q vim-common-7.3.315-
vim-common-7.3.315-1.fc16.x86_64
Comment 4 Ales Kozumplik 2011-11-08 06:04:09 EST
Fixed by 1c8e56729df08d577930160af5192a8c8c8c60e5 in the upstream master branch.

Note You need to log in before you can comment on or make changes to this bug.